org.freeplane.api

## Interface HeadlessLoader

- All Known Subinterfaces:
    Loader, Proxy.Loader

      public interface HeadlessLoader

  API for accessing or loading map from given location.
  Since:
    1.7.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Map` | `getMap()` Deprecated. since 1.7.10 - use `getMindMap()`
    `MindMap` | `getMindMap()` Creates and returns a map or selects and returns a previously loaded map.
    `default Map` | `load()` Deprecated. since 1.7.10 - use `getMindMap()`
    `Loader` | `newMapLocation(java.io.File file)` Sets map location to given file after loading.
    `Loader` | `newMapLocation(java.lang.String file)` Sets map location to given file after loading.
    `Loader` | `saveAfterLoading()` Saves map after loading under new associated location
    `Loader` | `unsetMapLocation()` Removes associated location after loading.

- - ### Method Detail

    - #### newMapLocation

          Loader newMapLocation(java.io.File file)

      Sets map location to given file after loading.
      Since:
        1.7.1

    - #### newMapLocation

          Loader newMapLocation(java.lang.String file)

      Sets map location to given file after loading.
      Since:
        1.7.1

    - #### unsetMapLocation

          Loader unsetMapLocation()

      Removes associated location after loading.
      Since:
        1.7.1

    - #### saveAfterLoading

          Loader saveAfterLoading()

      Saves map after loading under new associated location
      Since:
        1.7.1

    - #### load

          @Deprecated
          default Map load()

      Deprecated. since 1.7.10 - use `getMindMap()`
      Creates and returns a map or selects and returns a previously loaded map.
      Since:
        1.7.5

    - #### getMap

          @Deprecated
          default Map getMap()

      Deprecated. since 1.7.10 - use `getMindMap()`
      Creates and returns a map or selects and returns a previously loaded map.
      Since:
        1.5

    - #### getMindMap

          MindMap getMindMap()

      Creates and returns a map or selects and returns a previously loaded map. Same as `load()`
      Since:
        1.7.10